#ifndef HALTCODES_H
#define HALTCODES_H

#define ESTOP_JOINT0_BACKWARDRANGE_EXCEEDED             100
#define ESTOP_JOINT0_FORWARDRANGE_EXCEEDED              101

#define ESTOP_JOINT1_BACKWARDRANGE_EXCEEDED             200
#define ESTOP_JOINT1_FORWARDRANGE_EXCEEDED              201

#define ESTOP_FORCE0_LOWERLIMIT_EXCEEDED                300
#define ESTOP_FORCE0_UPPERLIMIT_EXCEEDED                301

#define ESTOP_FORCE1_LOWERLIMIT_EXCEEDED                400
#define ESTOP_FORCE1_UPPERLIMIT_EXCEEDED                401

#define ESTOP_FTSENSOR_FORCEX_LOWERLIMIT_EXCEEDED       500
#define ESTOP_FTSENSOR_FORCEX_UPPERLIMIT_EXCEEDED       501
#define ESTOP_FTSENSOR_FORCEY_LOWERLIMIT_EXCEEDED       502
#define ESTOP_FTSENSOR_FORCEY_UPPERLIMIT_EXCEEDED       503
#define ESTOP_FTSENSOR_FORCEZ_LOWERLIMIT_EXCEEDED       504
#define ESTOP_FTSENSOR_FORCEZ_UPPERLIMIT_EXCEEDED       505
#define ESTOP_FTSENSOR_TORQUEX_LOWERLIMIT_EXCEEDED      506
#define ESTOP_FTSENSOR_TORQUEX_UPPERLIMIT_EXCEEDED      507
#define ESTOP_FTSENSOR_TORQUEY_LOWERLIMIT_EXCEEDED      508
#define ESTOP_FTSENSOR_TORQUEY_UPPERLIMIT_EXCEEDED      509
#define ESTOP_FTSENSOR_TORQUEZ_LOWERLIMIT_EXCEEDED      510
#define ESTOP_FTSENSOR_TORQUEZ_UPPERLIMIT_EXCEEDED      511



#endif /* HALTCODES_H */
